﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _485USBSerial
{
    public class Device
    {
        public string portName;
        public int handle;
        public string manufacturer;
        public string product;
        public string serialNumber;

        private string m_portName;
        private string m_pid;
        private string m_vid;
        private string m_manufacturer;
        private string m_product;
        private string m_serialNumber;

        public Device(string portName, int handle, string manufacturer, string product, string serialNumber)
        {
            this.portName = portName;
            this.handle = handle;
            this.manufacturer = manufacturer;
            this.product = product;
            this.serialNumber = serialNumber;
        }

        public Device(string portName)
        {
            this.portName = portName;

        }

        public Device()
        {

        }

        public string Vid { get { return m_vid; } set { m_vid = value; }}
        public string Pid { get { return m_pid; } set { m_pid = value; }}
        public string Manufacturer { get { return m_manufacturer; } set { m_manufacturer = value; }}
        public string Product { get { return m_product; } set { m_product = value; }}
        public string SerialNumber { get { return m_serialNumber; } set { m_serialNumber = value; }}
        public string PortName { get { return m_portName; } set { m_portName = value; }}
    }
}
